function adjustScale() {
    console.log("DOM fully loaded and parsed");

    const isThereBigGrid = document.querySelectorAll(".grid--big");
    const htmlRoot = document.documentElement;

    if (isThereBigGrid.length) {
        htmlRoot.classList.add("adjuster--big-panel");
        return;
    }

    const isThereSmallGrid = document.querySelectorAll(".grid--small");

    if (isThereSmallGrid.length) {
        htmlRoot.classList.add("adjuster--small-panel");
        return;
    }
}

function resizeIFrameToFitContent(box) {
    const iframes = box.querySelectorAll("iframe");
    const iframe = iframes[0];

    if (iframe) {
        iframe.height = box.offsetHeight;
        iframe.width = box.offsetWidth;
    }
}

function adjustIframes(e) {
    const boxes = document.querySelectorAll(".box__iframe");
    for (let i = 0; i < boxes.length; i++) {
        resizeIFrameToFitContent(boxes[i]);
    }
}

window.addEventListener("DOMContentLoaded", (event) => {
    adjustScale();
    adjustIframes();
});
